GET /api/v1/forward/qr_sessions/{session_key}
Returns the current status of a QR authorization session.
Headers
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <PAT or SAT> |
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
session_key | string | Yes | Opaque QR session key returned by Create Channel QR Session. |
Example request
Example response
HTTP 200 OK
Response fields
| Field | Type | Description |
|---|---|---|
channel_id | string | Associated Channel ID. |
channel_type | string | Associated channel type. |
status | string | waiting, scanned, confirmed, expired, denied, or error. |
expires_at | string | QR session expiration time. |
err_code | string|null | Channel error code on failure. |
err_msg | string|null | Channel error message on failure. |
Error codes
| HTTP | Type | Trigger |
|---|---|---|
| 401 | authentication_error | PAT or SAT is invalid or expired. |
| 404 | not_found_error | QR session does not exist, is expired, or is not visible to the caller. |
Notes
session_keyis a short-lived opaque credential.- After
confirmed, refresh Channel details.